(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2007-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux <Quentin.Carbonneaux@inria.fr>                 *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(*  This example is based on an example designed for OCamlP3l.         *)
(*                                                                     *)
(***********************************************************************)

(* $Id: my_data.ml,v 1.12 2014/01/21 09:21:18 fclement Exp $ *)

open Rdec2;;

type my_subdomain = {
  bd : boundary;
  err : float * float
};;

(* Extraction functions *)

let get_bds v = Array.map (fun subd -> subd.bd) v
and get_errs v = Array.map (fun subd -> subd.err) v
;;

(* Insertion function *)

let set_bds bds v =
  Uarray.seti (fun i subd -> {subd with bd = bds.(i)}) v
;;
